function [coord_matrix, index_matrix, probability_matrix] = ...
          create_reference_matrices(x_max, x_min, y_max, y_min, dx)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This function creates the reference matrices in order to sort the x and y
%position and to be able to count the the position of the vessel in order
%to create a probability plot!
%
%Name:      Emir Lejlic
%Created:   16.04.13
%Modified:  16.04.13
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%The a and b are the largest x and y values

%y_max = x_max;
%The deltas are the interval size between the matrix points
dy = dx;

x_elem = (x_max-x_min)/dx; %2*x_max/delta_x;
y_elem = (y_max-y_min)/dy;

x_points = x_elem + 1;
y_points = y_elem + 1;

%Preallocating memory for the arrays needed
index_matrix = cell(y_points,x_points);
coord_matrix = cell(y_points,x_points);

%The probability matrix is the matrix containing the probability of the
%vessel to be between certain x and y position. The reason why the size of
%the prob. matrix is (n-1)x(n-1) is because that the 
%probability_xy_function will check  
probability_matrix = zeros(y_points-1,x_points-1);

[rows cols] = size(index_matrix);

%This is to create indexes in the matrix. This will simply how the
%connection between x/y pos and index is.

y_counter = dy;
x_counter = dx;
x_start = x_min;
y_start = y_max;

y_value = y_start;  


for i = 1:rows
    
x_value = x_start;        
    
        if i > 1

            y_value = y_value - y_counter;

        end        
    
        
    for j = 1:cols
        
        %Creating indexes in the matrix
        x = num2str(i);
        y = num2str(j);
        
        test = strcat(x,'.',y);
        
        index_matrix{i,j} = test;    
        
        %Inserting the x/y values:
        
                
    
        if j > 1

            x_value = x_value + x_counter;

        end        
        
        x = num2str(x_value);
        y = num2str(y_value);        
        
        %This is the coordinate matrix that will give info at whicj point
        %the vessel is
        coord_matrix{i,j} = strcat('(',x,',',y,')');
        
        
        
    end
    
    
end