% Subprogram to the program icemain.m
% Author: Andreas Meese, Bergen 28.02.2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [] = comparisonplots(input,dynamic,flcev)
months = ['Jul';'Oct';'Jan';'Apr';'Jul'];
%seconds = char('0','10','20','30','40','50','60','70','80');
seconds = char('0','2','4','6','8','10');
timevector = char('12:26:00','12:26:10','12:26:20',...
    '12:26:30','12:26:40');
timevector2 = char('12:24:30','12:25:30','12:26:30','12:27:30');
timevector3 = char('12:24:30','12:25:00','12:25:30','12:26:00',...
    '12:26:30','12:27:00','12:27:30');
a = size(timevector);
b = size(timevector2);
copy_to_folder = input.outputloc(6,:);

% 30.03.2003 event force and acceleration
figure(395)
subplot(2,1,1)
hold on
box off
set(gca,'XTick',1:5051:length(flcev.entireforce)+1)
set(gca,'XTickLabel',timevector2)
set(gca,'FontSize',input.fontsize)
% set(gca,'Fontname','cmr10')
% title('Measured total force')
ylabel('kN','interpreter','latex')
axis([1 length(flcev.entireforce)+1 0 max(flcev.entireforce)])
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
% set(gcf, 'PaperPosition', [0 0 16 12]);
plot(flcev.entireforce,'k')

subplot(2,1,2)
hold on
box off
set(gca,'XTick',1:5051:length(flcev.entireforce)+1)
set(gca,'XTickLabel',timevector2)
set(gca,'FontSize',input.fontsize)
plot(flcev.entireacc(:,1),'k')
xlabel('Time','interpreter','latex')
ylabel('m/s$^{2}$','interpreter','latex')
axis([1 length(flcev.entireforce)+1 -1.8 2.15])
hold off
% title('Measured acceleration at 19.6 m above sea bed')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
% set(gcf, 'PaperPosition', [0 0 16 12]);
% set(gca,'Fontname','cmr10')
name = 'entireevent';
name_pdf = strcat(name,'.pdf');
export_fig(name_pdf,'-pdf','-transparent','-painters');
copyfile(name_pdf,copy_to_folder);
delete(name_pdf);
clear name_pdf;

% matlab2tikz('filename',strcat(copy_to_folder,'\entireevent.tikz')...
%     ,'showInfo',false,'height','\figureheight','width','\figurewidth')


%% FORCE FUNCTIONS
figure(15)
hold on
box off
L = length(flcev.totalforce);
set(gca,'FontSize',input.fontsize)
set(gca,'XTick',1:L/(a(1)-1):L+1)
set(gca,'XTickLabel',timevector)
plot(dynamic.F(1,:)./(10^6),'k')
plot(flcev.totalforce./(10^3),'r')
ylabel('MN')
xlabel('Time')
axis([0 (length(flcev.totalforce))+5 0 10])
% title('Comparison between measured and computed forces')
text(1440,8.3,'Calculated total force')
text(2000,4.5,'Measured total force')
% legend('Calculated','Measured','Location','best')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
matlab2tikz('filename',strcat(copy_to_folder,'\forcecomparison.tikz')...
    ,'showInfo',false,'height','\figureheight','width','\figurewidth')
hold off

%% DISPLACEMENT 
%figure(16)
%% ACCELERATIONS
figure(17)
subplot(2,1,1)
hold on
box off
set(gca,'FontSize',input.fontsize)
%set(gca,'XTick',1:722.5:L)
%set(gca,'XTickLabel',months)
plot(flcev.acc(:,1),'k','LineStyle','-')
ylabel('m/s$^{2}$')
% xlabel('Time')
axis([0 length(dynamic.u2dot) -1.4 2.1])
L = length(flcev.acc);
set(gca,'FontSize',input.fontsize)
set(gca,'XTick',1:L/(a(1)-1):L+1)
set(gca,'XTickLabel',timevector)
title('Measured acceleration at 19.65 m')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);

subplot(2,1,2)
hold on
box off
set(gca,'FontSize',input.fontsize)
%set(gca,'XTic:k',1:722.5:L)
%set(gca,'XTickLabel',months)
plot(dynamic.u2dot,'k','LineStyle','-')
ylabel('m/s$^{2}$')
xlabel('Time')
axis([0 length(dynamic.u2dot) -1.4 2.1])
L = length(flcev.acc);
set(gca,'FontSize',input.fontsize)
set(gca,'XTick',1:L/(a(1)-1):L+1)
set(gca,'XTickLabel',timevector)
title('Calculated acceleration at 14.20 m')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
matlab2tikz('filename',strcat(copy_to_folder,'\accelcomparison.tikz')...
    ,'showInfo',false,'height','\figureheight','width','\figurewidth')
hold off

%% FFT OF ACCELERATIONS
% Plot single-sided amplitude spectrum.
figure(18)
hold on
box off
set(gca,'FontSize',input.fontsize)
plot(flcev.freq,flcev.amp19,'r','LineStyle','-','LineWidth',1)
plot(dynamic.freq,dynamic.fftamp,'b','LineStyle','-','LineWidth',1)
% title('Single-Sided Amplitude Spectrum of Acceleration')
axis([0,5,0,max(dynamic.fftamp)])
xlabel('f (Hz)')
ylabel('|Acc(f)|')
box off
legend('Measured at 19.6 m','Calculated at 14.2 m')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
matlab2tikz('filename',strcat(copy_to_folder,'\fftcomparison.tikz')...
    ,'showInfo',false,'height','\figureheight','width','\figurewidth')

%% Ice thickness
figure(19)
hold on
box off
set(gca,'FontSize',input.fontsize)
plot(flcev.thick.tmeas,'k','LineStyle','-')
% line([1;length(flcev.thick.tmeas)],...
%     [flcev.thick.calc(5);flcev.thick.calc(5)],'Color',[0 0 0])
% title('Measured ice thickness during 30.03.2003 event')
ylabel('m')
xlabel('Time')
L = length(flcev.thick.tmeas);
set(gca,'XTick',1:12:37)
set(gca,'XTickLabel',timevector2)
axis([1 37 0.65 0.95 ])
% legend('Measured','Calculated','Location','NorthWest')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
matlab2tikz('filename',strcat(copy_to_folder,'\thickevent.tikz')...
    ,'showInfo',false,'height','\figureheight','width','\figurewidth')
hold off
end