% Subprogram to the program icemain.m
% Author: Andreas Meese, Bergen 28.02.2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [] = dynamicplots(input,ice,FLC,force,dynamic)
months = ['Jul';'Oct';'Jan';'Apr';'Jul'];
%seconds = char('0','10','20','30','40','50','60','70','80');
seconds = char('0','2','4','6','8','10');
copy_to_folder =input.outputloc(5,:);

fontsize = input.fontsize;
L = length(dynamic.F);
g = L/(input.sim.time(1)/10);

% Load history
figure(12)
hold on
plot(dynamic.F(1,:),'k')
set(gca,'FontSize',fontsize)
set(gca,'XTickLabel',seconds)
set(gca,'XTick',0:200:round(g))
%set(gca,'YtickLabel',)
%set(gca,'YTick',[])
% a = dynamic.F(1:round(g));
% [maxV maxI] = max(a);
% [minV minI] = min(a);
% text(maxI,dynamic.F(maxI),strcat(num2str(maxV), ' MPa'),...
%     'VerticalAlignment','bottom','HorizontalAlignment','right',...
%     'Fontsize',input.fontsize)
% text(minI+100,dynamic.F(minI),strcat(num2str(minV),' MPa'),...
%     'VerticalAlignment','top','HorizontalAlignment','left',...
%     'Fontsize',input.fontsize)
% axis([0 g dynamic.Fmin-1 dynamic.Fmax+1])
ylabel('Ice load [MN]')
xlabel('Time [s]')
title('Load history')

hold off
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
matlab2tikz('filename',strcat(copy_to_folder,'\loadhistory.tikz')...
    ,'showInfo',false,'height','\figureheight','width','\figurewidth')

% Displacement

figure(13)
subplot(3,1,1)
hold on
box off
plot(dynamic.u(1:round(g)).*1000,'k')
set(gca,'FontSize',fontsize)
set(gca,'XTickLabel',seconds)
set(gca,'XTick',0:200:round(g))
% axis([0 g 0 5])
ylabel('mm')
title('Displacement')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
hold off

subplot(3,1,2)
hold on
box off
plot(dynamic.udot(1:round(g)),'k')
set(gca,'FontSize',fontsize)
set(gca,'XTickLabel',seconds)
% set(gca,'XTick',0:200:round(g))
xlabel('Time (s)')
ylabel('m/s')
title('Velocity')
% legend('Strice','Guo','Location','NorthEast')
% axis([0 g -0.81 0.81])
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);

subplot(3,1,3)
hold on
box off
plot(dynamic.u2dot(1:round(g)),'k')
set(gca,'FontSize',fontsize)
set(gca,'XTickLabel',seconds)
set(gca,'XTick',0:200:round(g))
xlabel('Time [s]')
ylabel('m/s^{2}')
title('Acceleration')
% legend('Strice','Guo','Location','NorthEast')
% axis([0 g -0.81 0.81])
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
matlab2tikz('filename',strcat(copy_to_folder,'\displveloacc.tikz')...
    ,'showInfo',false,'height','\figureheight','width','\figurewidth')

%{
% Plot single-sided amplitude spectrum for sdof acceleration.
figure(14)
hold on
box off
set(gca,'FontSize',fontsize)
plot(dynamic.freq,dynamic.fftamp,'k','LineWidth',2)
title('Single-Sided Amplitude Spectrum of Acceleration')
axis([0 5.3 0 0.6])
xlabel('Frequency [Hz]')
ylabel('|Acc(f)|')
% legend('Strice','Guo','Location','NorthEast')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
matlab2tikz('filename',strcat(copy_to_folder,'\fftacc.tikz')...
    ,'showInfo',false,'height','\figureheight','width','\figurewidth')
%}
end