% Subprogram to the program icemain.m
% Author: Andreas Meese, Bergen 28.02.2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [] = fatigueplot(input,fatigue)
months = ['Nov';'Dec';'Jan';'Feb';'Mar';'Apr';'May'];
fontsize = input.fontsize;
linewidth = 1;
copy_to_folder = ...
   'C:\Users\Andreas\Dropbox\NTNU\Master\Report\latex\figures\results\fat';
%% STRESS RANGES
figure(97)
subplot(2,1,1)
hold on
set(gca,'FontSize',fontsize)
set(gca,'XTick',130:30:330)
set(gca,'XTickLabel',months)
plot(fatigue.Fmax,'Color','k','LineWidth',linewidth)
axis([137 299 2 9])
% xlabel('Time')
ylabel('F_{G} (MN)')
title('Global force')

subplot(2,1,2)
hold on
set(gca,'FontSize',fontsize)
set(gca,'XTick',130:30:330)
set(gca,'XTickLabel',months)
axis([137 299 30 100])
title('Stress range')
% xlabel('Time')
ylabel('\Delta \sigma (MPa)')
plot(fatigue.case1(1,:),'Color','k','LineWidth',linewidth)
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 20 15]);
box off
hold off
matlab2tikz('showInfo', false,'filename',...
    strcat(copy_to_folder,'\DsigmaFglob.tikz')...
    ,'height','\figureheight','width','\figurewidth')

end