% Subprogram to the program icemain.m
% Author: Andreas Meese, Bergen 28.02.2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [] = verticalplots(input,ice,verticalforce,selected)
months = ['Jul';'Oct';'Jan';'Apr';'Jul'];

months = ['Jul';'Oct';'Jan';'Apr';'Jul'];
months2 = ['Sep';'Oct';'Nov';'Dec';'Jan';'Feb';'Mar';'Apr';'May'];
% months4 = ['Jan';'Feb';'Mar';'Apr';'May'];
%A(1,1:6) = 0
%axis([XMIN XMAX YMIN YMAX])
fontsize = 14;
copy_to_folder = input.outputloc(4,:);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Forces on vertical structure
figure(10)
subplot(2,1,1)
hold on
plot(verticalforce.FGlobmax,'k')
set(gca,'FontSize',fontsize)
set(gca,'XTickLabel',months)
set(gca,'XTick',1:722.5:2920)
axis([0 2920 0 12])
ylabel('Ice load [MN]')
title('Ice load - ISO 19906- Vertical Global force')
%legend('Average','Location','NorthEast')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
hold off

subplot(2,1,2)
hold on
set(gca,'FontSize',fontsize)
set(gca,'XTick',1:722.5:2920)
set(gca,'XTickLabel',months)
axis([0 2920 0 0.9])
title('Ice thickness')
ylabel('Thickness [m]')
plot(ice.thick,'k')
hold off
%legend('Ice - vertical','Location','NorthEast')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
matlab2tikz('filename',strcat(copy_to_folder,'\verticalforces.tikz')...
    ,'showInfo',false,'height','\figureheight','width','\figurewidth')

%% Force vs. waterline displacement using k from STRICE (2004)
figure(42)
subplot(2,1,1)
hold on
set(gca,'FontSize',fontsize)
%set(gca,'XTick',1:722.5:2920)
%set(gca,'XTickLabel',months)
%title('Ice thickness')
title('Global force vs. static waterline displacement')
axis([0 1000*max(verticalforce.deltawl) 0 max(verticalforce.FGlobmax)])
ylabel('F_{G} (MN)')
xlabel('\delta_{wl} (mm)')
plot(1000.*verticalforce.deltawl,verticalforce.FGlobmax,'k')
hold off
%legend('Ice - vertical','Location','NorthEast')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);

subplot(2,1,2)
hold on
set(gca,'FontSize',fontsize)
set(gca,'XTick',60:30:300)
set(gca,'XTickLabel',months2)
title('Static displacement vs. FLC onset limit')
axis([120 305 0 5.5])
ylabel('time')
ylabel('\delta_{wl} (mm)')
plot(1000.*verticalforce.deltawl,'k')
line([0;length(verticalforce.deltawl)],...
    [1;1],'Color',[0 0 0],'LineStyle','--')
legend('Static displacement','FLC onset limit','Location','NorthWest')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
matlab2tikz('filename',strcat(copy_to_folder,...
    '\forcewldisplacement.tikz'),'showInfo',false,'height',...
    '\figureheight','width','\figurewidth')
end