clear all
close all
clc

copy_to_folder = ...
    'C:\Users\Andreas\Dropbox\NTNU\Master\Report\latex\figures\inkscape';
fontsize=12;

%% mattcurve

sigma = @(eps) (2.00 + 7.8*eps - 18.57*eps.^2 + 13*eps.^3 - 2.91*eps.^4);

b = char('0','0.5','1.0','1.5','2.0','2.5');
eps = 0:0.1:1.39;
s = zeros(1,length(eps));
for j = 1:length(eps)
    s(j) = sigma(eps(j));
end
figure(2)
box off
hold on
set(gca,'FontSize',16)
plot(s,'-','Color','k','LineWidth',2)
line([14;26],[1;1],'Color',[0 0 0],'LineWidth',2)
axis([1 25 0 3.1])
set(gca,'XTick',1:5:25)
set(gca,'XTickLabel',b)
%set(gca,'YTick',[])
xlabel('{$\dot{\sigma}_{c}$} (MPa/s)','interpreter','latex')
% xlabel('Stress rate (MPa/s)')
% title('Crushing strength vs. stress rate')
ylabel('\sigma_{c}  (MPa)')
matlab2tikz('filename',strcat(copy_to_folder,'\maattanencurve.tex'),...
    'showInfo',false,'height','\figureheight','width','\figurewidth')

%{
%% Load history
%timevector
% t = 0:0.01:10;
% J = length(t);
% result.F = zeros(1,J);
% f = 0.5;
% for i=1:J
%     result.F(i) = 11 + ...
%         2*((sawtooth(2*pi*f*t(i))-1)/2);
% end
% 
% % Load history
% 
% figure(20)
% hold on
% plot(result.F,'k')
% set(gca,'FontSize',fontsize)
% 
% set(gca,'XTick',[])
% set(gca,'Ytick',[])
% %set(gca,'YtickLabel',)
% %set(gca,'YTick',[])
% 
% set(gcf, 'PaperPositionMode', 'manual');
% set(gcf, 'PaperUnits', 'centimeters');
% set(gcf, 'PaperPosition', [0 0 16 12]);
% 
% ylabel('Ice load [MN]')
% xlabel('Time [s]')
% title('Load history')
% %legend('Average','Location','NorthEast')
% hold off
% 
% plass = ('output/loadhistory');
% 
% print(figure(20),plass,'-dpng','-r1080')
%}
% saveas(gcf, 'C:\Users\Andreas\Dropbox\NTNU\Master\loadhistory.png')



