function [] = vibrationplot(input,ice,FLC)

fontsize=input.fontsize;
L = length(FLC.generalcrit);
months = ['Jan';'Feb';'Mar';'Apr';'May'];
copy_to_folder = input.outputloc(3,:);
ul_vibrbars = 2.2E5;
linewidth = 1;
%% ACCUMULATED NUMBER OF VIBRATIONS
figure(7)
hold on
set(gca,'FontSize',fontsize)
set(gca,'XTick',180:30:300)
set(gca,'XTickLabel',months)
axis([180 300 1000 5.0E6])
plot(FLC.method1(3,:),'Color','k','LineWidth',linewidth)
plot(FLC.method2(3,:),'-.','Color','k','LineWidth',linewidth+2)
plot(FLC.method3(3,:),'--','Color','k','LineWidth',linewidth)
plot(FLC.method4(3,:),':','Color','k','LineWidth',linewidth)
plot(FLC.method5(3,:),'-.','Color','k','LineWidth',linewidth+0.5) 
% xlabel('Time')
% title('Accumulated nr. of frequency locked-in vibrations')
legend('Method 1','Method 2','Method 3','Method 4','Method 5', ...
    'Location','NorthWest')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 20 15]);
matlab2tikz('showInfo', false,'filename',strcat(copy_to_folder,...
    '\accumulatedvib.tikz')...
    ,'height','\figureheight','width','\figurewidth')
box off
hold off


%% TOTAL NUMBER OF VIBRATIONS

y = [FLC.total(1) FLC.total(2) FLC.total(3) ...
    FLC.total(4) FLC.total(5)];
x =1:1:5;
figure(8); bar(x,y,0.4,'k');
set(gca,'FontSize',fontsize)
hold on
grid off
%title('Number of vibrations for one season')
ylabel('n_{cycles} (-)')
xlabel('Method')
% axis([0.5 5.5 0 3.2E7])
box off
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
matlab2tikz('showInfo', false,'filename',strcat(copy_to_folder,...
    '\totalflc.tikz')...
    ,'height','\figureheight','width','\figurewidth')


%% VIBRATIONS IN TIME

bar1 = FLC.method1(2,:);
bar2 = FLC.method2(2,:);
bar3 = FLC.method3(2,:);
bar4 = FLC.method4(2,:);
bar5 = FLC.method5(2,:);
x = 1:1:L;

figure(90); 
subplot(3,2,1)
hold on
baren=bar(x, bar1, 'FaceColor', 'k', 'EdgeColor', 'k');
% plot(input.fs.temp,'Color','k')
set(gca,'FontSize',fontsize)
set(gca,'XTick',180:30:300)
set(gca,'XTickLabel',months)
axis([180 300 0 ul_vibrbars])
title('Method 1')
% annotation('textbox', [.2 .2 .2 .2], 'String', 'Method 1');
% ylabel('Nr. of vibrations [-]')

subplot(3,2,2)
hold on
baren=bar(x, bar2, 'FaceColor', 'k', 'EdgeColor', 'k');
% plot(input.fs.temp,'Color','k')
set(gca,'FontSize',fontsize)
set(gca,'XTick',180:30:300)
set(gca,'XTickLabel',months)
axis([180 300 0 ul_vibrbars])
title('Method 2')
% annotation('textbox', [.2 .7 .2 .2], 'String', 'Method 2');

subplot(3,2,3)
hold on
baren=bar(x, bar3, 'FaceColor', 'k', 'EdgeColor', 'k');
% plot(input.fs.temp,'Color','k')
set(gca,'FontSize',fontsize)
set(gca,'XTick',180:30:300)
set(gca,'XTickLabel',months)
axis([180 300 0 ul_vibrbars])
title('Method 3')
% annotation('textbox', [.7 .4 .1 .1], 'String', 'Method 3');
% ylabel('Nr. of vibrations [-]')
% xlabel('Time')

subplot(3,2,4)
hold on
baren=bar(x, bar4, 'FaceColor', 'k', 'EdgeColor', 'k');
% plot(input.fs.temp,'Color','k')
set(gca,'FontSize',fontsize)
set(gca,'XTick',180:30:300)
set(gca,'XTickLabel',months)
axis([180 300 0 ul_vibrbars])
% annotation('textbox', [.7 .7 .1 .1], 'String', 'Method 4');
% ylabel('Nr. of vibrations [-]')
% xlabel('Time')
title('Method 4')
% set(gcf, 'PaperPositionMode', 'manual');
% set(gcf, 'PaperUnits', 'centimeters');
% set(gcf, 'PaperPosition', [0 0 20 15]);

subplot(3,2,5)
hold on
baren=bar(x, bar5, 'FaceColor', 'k', 'EdgeColor', 'k');
% plot(input.fs.temp,'Color','k')
set(gca,'FontSize',fontsize)
set(gca,'XTick',180:30:300)
set(gca,'XTickLabel',months)
axis([180 300 0 ul_vibrbars])
% annotation('textbox', [.7 .7 .1 .1], 'String', 'Method 4');
% ylabel('Nr. of vibrations [-]')
% xlabel('Time')
title('Method 5')
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 20 20]);
matlab2tikz('filename',strcat(copy_to_folder,'\vibrationsintime.tikz')...
    ,'showInfo',false,'height','\figureheight','width','\figurewidth')
end