% Subprogram to the program icemain.m
% Author: Andreas Meese, tr.heim 17.06
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%subplot(2,1,1)

function [] = windplots(input,wind,iceprop)

months = ['Jul';'Oct';'Jan';'Apr';'Jul'];
%A(1,1:6) = 0
%axis([XMIN XMAX YMIN YMAX])
copy_to_folder = input.outputloc(1,:); %same folder as iceproperties
fontsize=input.fontsize;
L = length(input.fs.windd);

%% WIND PROPERTIES
% measured wind directions
figure(666)
subplot(2,1,1)
hold on
set(gca,'FontSize',fontsize)
set(gca,'XTick',1:722.5:L)
set(gca,'XTickLabel',months)
%axis([0 L 0 14])
ylabel('Deg. cw to North')
title('Average wind direction')
plot(input.fs.windd,'Color','k')
box off
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
hold off

subplot(2,1,2)
circ_plot(circ_ang2rad(input.fs.windd),'hist',[],20,true,true,...
    'linewidth',2,'color','r')

% averaged wind direction with std
figure(667)
% subplot(2,1,1)
hold on
% set(gca,'FontSize',fontsize)
% set(gca,'XTick',1:722.5:L)
% set(gca,'XTickLabel',months)
%axis([0 L 0 14])
ylabel('Deg. cw to North')
xlabel('Day nr. after 01.07.2002')
title('Average wind direction')
plot(wind.avgwind(:,2).*(180/pi),'Color','k')
plot((wind.avgwind(:,2)-wind.s_alpha).*(180/pi),'Color','r')
plot((wind.avgwind(:,2)+wind.s_alpha).*(180/pi),'Color','r')
legend('24hr avg dir','std','std')  
box off
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperPosition', [0 0 16 12]);
hold off


