%% Subfile for plotting of onset event
function [] = divide(pathway7,time,phase_start,phase_stop, acc, force, panelforce)

% Convert from seconds to index in timevector
deltat = time(end)/length(time);
start = ceil(phase_start/deltat)+1;
stop = ceil(phase_stop/deltat);

fmax = 1350;
amax = 3.0;
amin = -3.0;
%% Onset of event
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Forces and Accelerations
figure(7)
subplot(2,1,1)
hold on
% plot(time(start:stop),force.x(start:stop),'g')
% plot(time(start:stop),force.y(start:stop),'r')
plot(time(start:stop),force.sum(start:stop),'k')
set(gca,'FontSize',14)
axis([phase_start,phase_stop,0,fmax])
title('Total force')
ylabel('force (kN)')
% legend('Ftotal')
% legend('Fx','Fy','Ftotal')
grid on
box off

subplot(2,1,2)
hold on
plot(time(start:stop),acc.lev19(start:stop),'k');
plot(time(start:stop),acc.lev37(start:stop),'b');
set(gca,'FontSize',14)
axis([phase_start,phase_stop,amin,amax])
title('Accelerations @19.6m (black) and @37.1m (blue)')
ylabel('Acc (m/s2)')
xlabel('Time (s)')
grid on
box off
saveas(gcf, strcat(pathway7,'\forceandacc_IIV_SS.png'))


% %% Forces 
% % Total forces
% figure(10)
% hold on
% % plot(time(start:stop),force.x(start:stop),'g')
% % plot(time(start:stop),force.y(start:stop),'r')
% plot(time(start:stop),force.sum(start:stop),'k')
% axis([phase_start,phase_stop,0,fmax])
% title('Total force')
% ylabel('force (N)')
% xlabel('Time (s)')
% % legend('Ftotal')
% % legend('Fx','Fy','Ftotal')
% set(gca,'FontSize',12)
% grid on
% box off
% % set(gcf,'Visible','off')
% saveas(gcf, strcat(pathway7,'\forces_IIV_SS.png'))


% Panel forces
figure(11)
hold on
plot(time(start:stop),panelforce.p1(start:stop),'b-')
plot(time(start:stop),panelforce.p2(start:stop),'g-')
plot(time(start:stop),panelforce.p3(start:stop),'r-')
plot(time(start:stop),panelforce.p4(start:stop),'y-')
plot(time(start:stop),panelforce.p5(start:stop),'k-')
plot(time(start:stop),panelforce.p6(start:stop),'m-')
plot(time(start:stop),panelforce.p7(start:stop),'c-')
plot(time(start:stop),panelforce.p8(start:stop),'g-')
plot(time(start:stop),panelforce.p9(start:stop),'r-')
set(gca,'FontSize',14)
axis([phase_start,phase_stop,0,fmax])
title('Total force (black), Fy (red) and Fx (green)')
ylabel('force (kN)')
grid on
xlabel('Time(s)')
title('Panelforces')
legend('0','18','36','54','72','90','108','126','144')
% set(gcf,'Visible','off')
saveas(gcf, strcat(pathway7,'\panelforces_IIV_SS.png'))


